%define name		irmctl
%define ver		0.4.1
%define rel		4
%define prefix		/usr/local
%define sysconfdir	/etc


Name		: %name
Summary		: IR shell that works with non IRDA devices.
Version		: %ver
Release		: %rel
Copyright	: GPL
Source		: %{name}-%ver-%{rel}.tar.gz
Group		: Daemons
BuildRoot	: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
Requires	: glib >= 1.2.0
Requires	: libxml >= 1.8.0

Obsoletes	: %name
Docdir		: %{prefix}/doc


%description
Currently only supporting evation's irman, this 
software allows you to execute commands at the 
touch of a telecommand.

%prep
%setup

%build
make

%files
%{prefix}/bin/irmctl
%{prefix}/bin/pamixer.pl
%{prefix}/bin/yaclcp
%doc README INSTALL LICENSE CHANGES VERSION RELEASE KNOWN_ISSUES NEWS docs/commands
%config %{prefix}/etc/irmctl-conf.xml


%install
make install PREFIX=/var/tmp/irmctl-%{ver}-root/%{prefix}

%post
if [ ! -e %{prefix}/etc/commands ]; then
	ln -sf %{prefix}/doc/irmctl-%{ver}/commands %{prefix}/etc/commands
fi

%postun
rm -f %{prefix}/etc/commands
