#!/usr/bin/perl

use Getopt::Long;

$change=0;

$result=GetOptions (	"change=i"	=> \$change,
			"mix=s"		=> \$mixer,
			"muter!"	=> \$muter
		);

unless ($mixer) {
	print "You must provide a mixer\n";
	exit 1;
}
@alsa=split /\n/,`amixer get $mixer`;
unless (@alsa) {
	print "Mixer $mixer not found\n";
	exit 2;
}
($limits,$current)=($alsa[3],$alsa[4]);

$limits =~ /min\s+=\s+(\d{1,2}),\s+max\s+=\s+(\d{1,2})/;
$ll=$1;
$ul=$2;
$current =~ /:\s+(\d{1,2}) \[.*?\]\s+\[(\w+?)\]/;
$current = $1;
$mutestr=$2;

if ($muter) {
	if (!($mutestr=~/mute/)) {
		$zbr=1;
	}
}
if ($zbr) {
	exec "amixer set $mixer mute"
}
if ($change) {
	$val=$current+$change;
	$val=$ll if ($val < $ll);
	$val=$ul if ($val > $ul);
}
exec "amixer set $mixer $val unmute"
